SitePoint Sponsor

User Tag List

Results 1 to 4 of 4

Hybrid View

  1. #1
    ********* Addict
    Join Date
    Feb 2000
    Location
    NE FL, USA
    Posts
    301
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I'm working on a site for a client who wants some features that are best implemented using DHTML, such as up and down text and the text moving in from the left right and top of the screen. I've read somewhere before that 3.0 generation browsers aren't Y2K compliant. Does this mean that I can comfortably build this site utilizing DHTML w/4.0 browsers in mind?

    I already use DHTML a lot, but I'm always careful as to not exclude the audience that is still using 3.0 browsers.

    So what do you think I should do? Do 3.0 browser's still work?

    Thanks,
    Mike

    ------------------
    Street Bikers United protecting the rights of motorcyclists worldwide.
    Cosmic Custom Airbrush - Hawaii's premier airbrush studio.

  2. #2
    Your Lord and Master, Foamy gold trophy Hierophant's Avatar
    Join Date
    Aug 1999
    Location
    Lancaster, Ca. USA
    Posts
    12,305
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    The 3rd generation browsers can't handle most DHTML. Netscape 3.X can handle image rollovers but no CSS. IE 3.X can hadnle some CSS but chokes on rollovers. You can use 4th Generation browsers and be cutting off less than 10% of the market but if your scripts degrade properly then even version 1 browsers shouldn't have a problem.

    ------------------
    Wayne Luke
    Internet Media Provider

  3. #3
    ********* Addict
    Join Date
    Feb 2000
    Location
    NE FL, USA
    Posts
    301
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Thanks Wayne! Does that mean that there is no truth to the rumor that I heard that says 3.0 browsers weren't Y2K compliant?

    Mike

    ------------------
    Street Bikers United protecting the rights of motorcyclists worldwide.
    Cosmic Custom Airbrush - Hawaii's premier airbrush studio.

  4. #4
    Your Lord and Master, Foamy gold trophy Hierophant's Avatar
    Join Date
    Aug 1999
    Location
    Lancaster, Ca. USA
    Posts
    12,305
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Windows 95/98 and Windows NT 4.0 aren't Y2K compliant as shipped from Microsoft. Both require patches and Service Packs to be compliant. It doesn't stop millions of people from using their computers without these updates. 3rd Generation Browsers are the same way. They have problems in their scripting engines, with security certificates, and they can't handle more advanced content. Still people use them. IE 5 has been out for over 2 years and people still think it was just released. The distribution method of browsers and their large size doesn't lend itself to rapid adoption among the masses. Communicator 4.7 and IE 5 both take several hours to download and install at 28.8K for the full packages. You can get them on CD but most people don't know that. Even with IE 5.0 the CD based installation has to logon to the net to download Shockwave and Flash support at the least. Until we get truly componentized browsers where the entire thing can be downloaded in less than 20 minutes at 28.8K, people won't download it without being forced. As it is people must wait almost 2 years to get the new browser in the operating system at least on Windows machine. Windows 98 shipped with IE4 in late 1997. Windows 98Se shipped with IE5 in late 1999 and now we have Windows 2K with IE 5. Microsoft is beta testing 5.5 which will probably ship with Windows Millienium this summer. I figure it will be 2002, 2003 before Microsoft ships IE6 packaged within an OS. With the way Navigator 5 is going it may be that long before we can see how well the gecko slithers.



    ------------------
    Wayne Luke
    Internet Media Provider


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •